#
# Conditional build:
%bcond_without  static_libs	# don't build static libraries
#
Summary:	A C++ bindings for the GStreamer library
Summary(pl.UTF-8):	Wiązania C++ do biblioteki GStreamera
Name:		gstreamermm0.10
Version:	0.10.11
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.10/gstreamermm-%{version}.tar.xz
# Source0-md5:	c2ca0b192a949a15edb863c1a59a1547
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.33.4
BuildRequires:	gstreamer0.10-devel >= 0.10.36
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.36
# for not packaged examples only
#BuildRequires:	gtkmm3-devel >= 3.0
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml++2-devel >= 2.14
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.33.4
Requires:	gstreamer0.10 >= 0.10.36
Requires:	gstreamer0.10-plugins-base >= 0.10.36
Requires:	libxml++2 >= 2.14
Obsoletes:	gstreamermm < 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gstreamermm provides C++ bindings for the GStreamer streaming
multimedia library. With gstreamermm it is possible to develop
applications that work with multimedia in C++.

%description -l pl.UTF-8
gstreamermm dostarcza wiązania C++ dla biblioteki strumieniowej
GStreamer. Za pomocą gstreamermm jest możliwe tworzenie aplikacji
multimedialnych w C++.

%package devel
Summary:	gstreamermm header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gstreamermm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.33.4
Requires:	gstreamer0.10-devel >= 0.10.36
Requires:	gstreamer0.10-plugins-base-devel >= 0.10.36
Requires:	libxml++2-devel >= 2.14
Obsoletes:	gstreamermm-devel < 1.0

%description devel
Header files for gstreamermm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gstreamermm.

%package static
Summary:	gstreamermm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gstreamermm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	gstreamermm-static < 1.0

%description static
gstreamermm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gstreamermm.

%package doc
Summary:	Reference documentation for gstreamermm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gstreamermm
Group:		Documentation
Requires:	devhelp
Obsoletes:	gstreamermm-doc < 1.0

%description doc
Reference documentation for gstreamermm.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja gstreamermm.

%prep
%setup -q -n gstreamermm-%{version}

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
# glibmm 2.46+/libxml++ 2.40+ require C++ 11
CXXFLAGS="%{rpmcxxflags} -std=c++0x"
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgstreamermm*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgstreamermm-0.10.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstreamermm-0.10.so.2
%attr(755,root,root) %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstreamermm-0.10.so
%attr(755,root,root) %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so
%{_libdir}/gstreamermm-0.10
%{_includedir}/gstreamermm-0.10
%{_pkgconfigdir}/gstreamermm-0.10.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgstreamermm-0.10.a
%{_libdir}/libgstreamermm_get_plugin_defs-0.10.a
%endif

%files doc
%defattr(644,root,root,755)
%{_docdir}/gstreamermm-0.10
%{_datadir}/devhelp/books/gstreamermm-0.10
%changelog
* Tue Feb 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamermm0.10.git;a=log;h=master

* Tue Feb 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 99f775b
- pass -std to enable C++ 11 for glibmm/libxml++; release 3

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 455c81d
- adjusted for libxml++2; release 2

* Tue Jul 29 2014 Jakub Bogusz <qboosh@pld-linux.org> bc4330a
- gstreamer0.10 version renamed to gstreamermm0.10

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 21d6f8f
- fixed glibmm version

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 09e4836
- updated to 0.10.11

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 865ed30
- updated to 0.10.10.2

* Mon Feb 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 00ae656
- updated to 0.10.10.1

* Fri Jul 22 2011 Jakub Bogusz <qboosh@pld-linux.org> daf0221
- updated to 0.10.10

* Wed May 11 2011 Jakub Bogusz <qboosh@pld-linux.org> fa39fea
- unified subpackages order
- pl fix
- updated BRs, added -devel deps

* Fri Apr 29 2011 lisu <lisu@pld-linux.org> 2e3d3cf
- obsoleted

* Fri Apr 29 2011 lisu <lisu@pld-linux.org> 793d49d
- updated to 0.10.9.1
- drop obsoleted patch

* Fri Apr 15 2011 lisu <lisu@pld-linux.org> 9a438c3
- updated to 0.10.9

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 7605a1b
- rel 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> b2dcd79
- BR: mm-common

* Mon Oct 18 2010 lisu <lisu@pld-linux.org> d54bcb1
- 0.10.8

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> c6b777c
- pl fixes for -static

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> 490ba57
- BR: libtool

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> 6c0f4d3
- use autotools
- BR: gstreamer-plugins-base-devel

* Tue Oct 12 2010 lisu <lisu@pld-linux.org> cb03a45
- group changed to "Libraries"

* Tue Oct 12 2010 lisu <lisu@pld-linux.org> 5c29797
- LGPL v2+ license

